Bug 1182510 - [RFE] - Fencing refactoring
Summary: [RFE] - Fencing refactoring
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.6.0
Assignee: Martin Perina
QA Contact: Petr Matyáš
URL:
Whiteboard: infra
Depends On:
Blocks: 1158861
TreeView+ depends on / blocked
 
Reported: 2015-01-15 10:24 UTC by Martin Perina
Modified: 2016-02-10 19:30 UTC (History)
12 users (show)

Fixed In Version: OVIRT 3.6.0-3
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 11:39:43 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 36964 master MERGED core: Fix host status changed to Connecting logging Never
oVirt gerrit 36965 master MERGED core: Refactor VdsManager.isHostInGracePeriod() method Never
oVirt gerrit 36966 master MERGED core: Make SSH Soft Fencing part of Non Responding Treatment Never
oVirt gerrit 36967 master MERGED core: Make VdsManager.lastUpdate publically accessible Never
oVirt gerrit 37776 master MERGED core: Do not check PM status of host twice Never
oVirt gerrit 38059 master MERGED core: Refactor FenceActionType Never
oVirt gerrit 38060 master MERGED core: FenceVdsVDSCommand code cleanup Never
oVirt gerrit 38061 master MERGED core: FenceVdsVDSCommandParameters code cleanup Never
oVirt gerrit 38062 master MERGED core: Refactor FenceVdsVDSCommand return value Never
oVirt gerrit 38063 master MERGED core: Introduce FenceAgentExecutor Never
oVirt gerrit 38121 master MERGED core: Provide meaningful FenceAgent.toString() Never
oVirt gerrit 38163 master MERGED core: Provide copy constructor for FenceAgent Never
oVirt gerrit 38232 master MERGED core: Prepare FenceVdsVDSCommand params on caller Never
oVirt gerrit 38358 master MERGED core: Introduce SingleAgentFenceActionExecutor Never
oVirt gerrit 38963 master MERGED core: webadmin: Fix NPE in VdsArchitectureHelper Never
oVirt gerrit 38964 master MERGED core: Introduce ConcurrentAgentsFenceActionExecutor Never
oVirt gerrit 38965 master MERGED core: Introduce HostFenceActionExecutor Never
oVirt gerrit 38966 master MERGED core: Replace FenceExecutor in Start/Stop/RestartVDSCommands Never
oVirt gerrit 38967 master MERGED core: webadmin: Replace FenceExecutor in GetFenceAgentStatusQuery Never
oVirt gerrit 38968 master MERGED core: restapi: Replace FenceExecutor in GetVdsFenceStatusQuery Never
oVirt gerrit 38969 master MERGED core: Replace FenceExecutor in InitVdsOnUpCommand Never
oVirt gerrit 38970 master MERGED core: Replace FenceExecutor in SshSoftFencingCommand Never
oVirt gerrit 38971 master MERGED core: Replace FenceExecutor in PmHealthCheckManager Never
oVirt gerrit 38972 master MERGED core: Remove FenceExecutor and unused fence return value objects Never
oVirt gerrit 39407 master MERGED core: Skip restart of host if PM is disabled for it Never
oVirt gerrit 39510 master MERGED core: Add equals() and hashcode() to FenceAgent Never
oVirt gerrit 39511 master MERGED core: Move FenceAgent into businessentities.pm Never
oVirt gerrit 39758 master MERGED core: Introduce FenceProxySourceType Never
oVirt gerrit 39759 master MERGED core: Refactor VdsStatic to use FenceProxySourceType Never
oVirt gerrit 39760 master MERGED restapi: Refactor conversion between PmProxies and VDS/VdsStatic Never
oVirt gerrit 39761 master MERGED webadmin: Replace usage of *PmProxyPreferences() with *FenceProxySources() Never
oVirt gerrit 39762 master MERGED core: Refactor fence proxy source handling in FenceProxyLocator Never
oVirt gerrit 39763 master MERGED core: FenceProxyLocator* code clean up Never
oVirt gerrit 39764 master MERGED core: Refactor FenceProxyLocator Never
oVirt gerrit 39836 master MERGED core: Remove action attribute from FenceVdsActionParameters Never
oVirt gerrit 39837 master MERGED core: Remove unneeded FenceVdsVDSCommandParameters instance initialization Never
oVirt gerrit 39838 master MERGED core: Remove RESTART action from FenceActionType Never
oVirt gerrit 39839 master MERGED core: Move all PM related commands into bll.pm Never
oVirt gerrit 39840 master MERGED core: Remove overridden getUsername() in Start/Stop/RestartVdsCommand Never

Description Martin Perina 2015-01-15 10:24:59 UTC
The goal is to refactor current fencing flow to make it more transparent and configurable. The main goals will be:

  1) Define unqiue interface to all fencing flow steps (SSH Soft Fencing, Kdump detection, hard fencing, ...)
  2) Make each step easily configurable
  3) Refactoring fencing flow code to make more understandable

More info will be posted later to feature page.

Comment 1 Sandro Bonazzola 2015-11-04 11:39:43 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.